de.esprit.netsuite.client.tool.sess

## Class ConnectedCoClientsListModel

- java.lang.Object
- - javax.swing.AbstractListModel<E>
  - - javax.swing.DefaultListModel<E>
    - - de.esprit.common.gui.ZListModel
      - - de.esprit.netsuite.client.gui.ClientListModel<ClientContext>
        - - de.esprit.netsuite.client.tool.sess.ConnectedCoClientsListModel

- All Implemented Interfaces:
    ClientObject<ClientContext>, java.io.Serializable, javax.swing.ListModel

      public class ConnectedCoClientsListModel
      extends ClientListModel<ClientContext>

  This list keeps the currently logged in clients. It fills itself using the GetSessionsAgent and remains up to data by listening to according server events.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractListModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectedCoClientsListModel(ClientContext clientCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `load()` This method does nothing - it is supposed to be overridden by subclasses

    - ### Methods inherited from class de.esprit.netsuite.client.gui.ClientListModel

      `getClientContext`

    - ### Methods inherited from class de.esprit.common.gui.ZListModel

      `addItem, addItem, addItems, addItems, clear, fireContentsChanged, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getAllItems, getComparator, getElementAt, getFirstItem, getItem, getItem, getItemCount, getLastItem, getModifyFlag, isModified, isNumb, isSortAscending, loadFrom, loadFrom, removeItem, removeItem, replaceItem, replaceOrAddItem, setComparator, setItem, setModified, setModifyFlag, setNumb, setSortAscending`

    - ### Methods inherited from class javax.swing.DefaultListModel

      `add, addElement, capacity, contains, copyInto, elementAt, elements, ensureCapacity, firstElement, get, getSize, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, removeAllElements, removeElement, removeElementAt, removeRange, set, setElementAt, setSize, size, toArray, toString, trimToSize`

    - ### Methods inherited from class javax.swing.AbstractListModel

      `addListDataListener, getListDataListeners, getListeners, removeListDataListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectedCoClientsListModel

          public ConnectedCoClientsListModel(ClientContext clientCtx)

  - ### Method Detail

    - #### load

          public void load()
                    throws java.lang.Exception

      Description copied from class: `ZListModel`
      This method does nothing - it is supposed to be overridden by subclasses
      Overrides:
        `load` in class `ZListModel`
      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.